[PC-BSD Commits] r1720 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Sun Apr 13 08:36:14 PDT 2008


Author: kris
Date: 2008-04-13 08:36:14 -0700 (Sun, 13 Apr 2008)
New Revision: 1720

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
Log:

Add procfs to the upgrade scripts as well



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2008-04-13 15:31:45 UTC (rev 1719)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2008-04-13 15:36:14 UTC (rev 1720)
@@ -164,7 +164,14 @@
    echo "avahi:*:558:" >> /mnt/etc/group
 fi
 
+cat /mnt/etc/fstab | grep '/proc' >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  # Enable the procfs since Policy Kit needs it
+  echo "proc      /proc   procfs rw       0  0" >> /mnt/etc/fstab
+fi
 
+
 # Reset the LANG stuff
 MM_CHARSET="UTF-8" ; export MM_CHARSET
 LANG="en_US.UTF-8" ; export LANG



More information about the Commits mailing list